%define upstream_name    Unicode-Tussle
%define upstream_version 1.115

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tom's Unicode Scripts So Life is Easier
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Lingua::EN::Syllable)
BuildRequires: perl(Lingua::KO::Hangul::Util)
BuildRequires: perl(Lingua::KO::Romanize::Hangul)
BuildRequires: perl(Lingua::ZH::Romanize::Pinyin)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::GCString)
BuildRequires: perl(Unicode::Unihan)
BuildArch: noarch

%description
These programs are installed wherever you told the build system to install
programs. These are part of Tom's _Perl Unicode Essentials_ talk from OSCON
2011. You might have to adjust your fonts to see some of the characters in
these examples. George Douros’s Symbola font, which handles Unicode 6.0, is
a good one: http://users.teilar.gr/~g1951d/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install
# (tv) fix conflicts:
mv %buildroot/%_bindir/rename{,-unicode}
mv %buildroot/%_bindir/lc{,-unicode}

%check
%make_build test

%files
%doc LICENSE Changes META.yml INSTALL.SKIP META.json
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Oct 03 2022 tv <tv> 1.115.0-1.mga9
+ Revision: 1894267
- imported package perl-Unicode-Tussle

